Bug 238830 - [ Mac ] accessibility/mac/expanded-notification.html is a flaky text failure
Summary: [ Mac ] accessibility/mac/expanded-notification.html is a flaky text failure
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andres Gonzalez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-04-05 13:49 PDT by Dawn Morningstar
Modified: 2022-04-20 13:54 PDT (History)
11 users (show)

See Also:


Attachments
Patch (8.84 KB, patch)
2022-04-06 13:12 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dawn Morningstar 2022-04-05 13:49:12 PDT
accessibility/mac/expanded-notification.html 
is a flaky text failure on Mac queues.

failure was reproducible at Monterey TOT using 
run-webkit-tests accessibility/mac/expanded-notification.html --iterations 1000

HISTORY:
https://results.webkit.org/?suite=layout-tests&test=accessibility%2Fmac%2Fexpanded-notification.html&limit=10176

DIFF:
--- /Volumes/Data/worker/bigsur-release-tests-wk2/build/layout-test-results/accessibility/mac/expanded-notification-expected.txt
+++ /Volumes/Data/worker/bigsur-release-tests-wk2/build/layout-test-results/accessibility/mac/expanded-notification-actual.txt
@@ -6,7 +6,7 @@
 
 Initial expanded status: false
 Received notification: AXExpandedChanged
-Expanded status: true
+Expanded status: false
 Received notification: AXExpandedChanged
 Expanded status: false
 PASS successfullyParsed is true

DIFF-URL:
https://build.webkit.org/results/Apple-BigSur-Release-WK2-Tests/r289954%20(7906)/accessibility/mac/expanded-notification-diff.txt
Comment 1 Radar WebKit Bug Importer 2022-04-05 13:49:38 PDT
<rdar://problem/91313419>
Comment 2 Dawn Morningstar 2022-04-05 14:34:44 PDT
marking expectations r292420
Comment 3 Andres Gonzalez 2022-04-06 13:12:56 PDT
Created attachment 456853 [details]
Patch
Comment 4 EWS 2022-04-06 18:22:23 PDT
Committed r292520 (249358@main): <https://commits.webkit.org/249358@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 456853 [details].
Comment 5 Dawn Morningstar 2022-04-08 11:20:36 PDT
Reverted r292521 for reason:

This broke the test further.

Committed r292625 (249445@trunk): <https://commits.webkit.org/249445@trunk>